Bug 1001828 - Zoneminder 1.28 is available
Zoneminder 1.28 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: zoneminder (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Charles R. Anderson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 17:03 EDT by Timothy Ward
Modified: 2015-07-29 00:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 00:35:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Ward 2013-08-27 17:03:06 EDT
Description of problem:

Version 1.26 beta is available upline, testing indicates this version has
significant performance increase on previous versions. When this is released as
the next version it would be a worthwhile version to update to. Tests indicated
a performance increase from between 20 to 40 percent lower load than 1.25 version on the same hardware with the same camera's.

Version-Release number of selected component (if applicable):
Version 1.26 Beta

How reproducible:

Compile and test 1.26 beta against 1.25 version

Further info available upline.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Timothy Ward 2013-09-04 09:55:17 EDT
The speed improvements need some qualifying in that most of the performance improvements done so far are effective only if you have the hardware that the performance improvements have been coded for and only when using motion detection
but the code was been improved in other areas, please refer to the Zoneminder
website forum for details.
Comment 2 Timothy Ward 2013-09-16 07:05:32 EDT
Stable Version 1.26 is available. Info on Zoneminder website and code is available from https://github.com/ZoneMinder/ZoneMinder
Comment 3 Timothy Ward 2013-09-19 02:19:21 EDT
I have been notified that a rpm.spec file is pending for this version on github, this should cut down the amount of work to produce a new package, may need some additions but it will be a good start.
Comment 4 Timothy Ward 2013-10-05 06:10:35 EDT
A rpm.spec file is located in the distro/fedora directory on 
https://github.com/ZoneMinder/ZoneMinder. This rpm.spec file has been used as a  base with rpmbuild to build Fedora 19 Zoneminder.rpm and srpm files. Several issue's still to be fixed at the moment but it is proceeding. The spec file will
be updated upstream if required. Several patch files are no longer required and
with version 1.26.4 pending it is hoped that more patch files will not be required. There is a upstream move to use cmake as the build system to reduce the complexity across the various distributions, which may make it into 1.26.4.
Comment 5 Timothy Ward 2014-03-15 15:53:31 EDT
Version 1.27 is available from
https://github.com/ZoneMinder/ZoneMinder
Comment 6 Timothy Ward 2014-06-18 17:49:36 EDT
A cmake file is included in the distro/fedora directory on 
https://github.com/ZoneMinder/ZoneMinder. Use rpmbuild to produce a rpm
and srpm for version 1.27 using the cmake file. 

When you have downloaded the version 1.27 archive from the github just check the folder name inside is 1.27 and not 1.27.0 otherwise the cmake file will fail. you will also have to comment out the hardened code line in the cmake file as a patch for a failed rpm build was added to the code after the Version 1.27 was released.
Comment 7 Ladislav Ezr 2014-08-02 18:54:52 EDT
Any update on this? Is the package abandoned?
Comment 8 Timothy Ward 2014-08-04 06:26:25 EDT
(In reply to Ladislav Ezr from comment #7)
> Any update on this? Is the package abandoned?

The packager for this package no longer uses it, so does not suppout it, Jason Tibbs was keeping it alive but lately the main development is being done on the
git address listed. A spec filr for fedora 19 is in the distro directory under fedora does work.A fedora 20 upgrade is underway. I need sponspeship ob fedora system and have emailed both the packager and Jason to do this myself but have not had the time to carry out any development work. SElinux is also a problem with the package on both fedora 19 and 20 at the moment. Folllow the readme in the fedora directory on the git and post any problems to the git issue account
if you have any as their is at least 4 main developer on the git site.
Comment 9 Jason Tibbitts 2014-08-04 17:41:32 EDT
Well, last I recall of the process I had asked for your FAS account name so that I could sponsor you and let you take over the package.  It's always possible that I missed something since I have pretty much no extra time for Fedora at the moment, but if you'll do that then I will take care of my end (which means clicking the sponsor button and then orphaning the package so you can take it).  I would still like to use Zoneminder on Fedora in the future but right now I just can't maintain it myself.
Comment 10 Ladislav Ezr 2014-08-10 08:03:52 EDT
So what's the recommended way until Timothy Ward takes over? Not installing the package from the repository and building it from source? Or is using Zoneminder from the repo with SELinux rules from the git safe for a web-facing server?
Comment 11 Timothy Ward 2014-08-13 11:34:33 EDT
(In reply to Ladislav Ezr from comment #10)
> So what's the recommended way until Timothy Ward takes over? Not installing
> the package from the repository and building it from source? Or is using
> Zoneminder from the repo with SELinux rules from the git safe for a
> web-facing server?

Use makrpm oo produce a install rpm from the source code on version 1.27 from the github. I  have sent an email to Jason to allow me to take over the packaging of this package, but we are both busy with other projects.
Comment 12 Fedora End Of Life 2015-01-09 14:37:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Timothy Ward 2015-01-14 14:57:41 EST
Version 1.28 is available upline from githb- build from source
Comment 14 Jaroslav Reznik 2015-03-03 10:01:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 15 Fedora Admin XMLRPC Client 2015-04-07 18:21:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2015-05-05 10:52:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Charles R. Anderson 2015-07-29 00:35:00 EDT
New version zoneminder-1.28.1-1.fc23 was built.

Note You need to log in before you can comment on or make changes to this bug.